TESTING/EIG/dget34.f(3)

NAME
TESTING/EIG/dget34.f

SYNOPSIS

  Functions/Subroutines
subroutine dget34 (rmax, lmax, ninfo, knt)
DGET34

Function/Subroutine Documentation

  subroutine dget34 (double precision rmax, integer lmax, integer, dimension( 2 ) ninfo, integer knt)

DGET34

Purpose:

    !>
    !> DGET34 tests DLAEXC, a routine for swapping adjacent blocks (either
    !> 1 by 1 or 2 by 2) on the diagonal of a matrix in real Schur form.
    !> Thus, DLAEXC computes an orthogonal matrix Q such that
    !>
    !>     Q' * [ A B ] * Q  = [ C1 B1 ]
    !>          [ 0 C ]        [ 0  A1 ]
    !>
    !> where C1 is similar to C and A1 is similar to A.  Both A and C are
    !> assumed to be in standard form (equal diagonal entries and
    !> offdiagonal with differing signs) and A1 and C1 are returned with the
    !> same properties.
    !>
    !> The test code verifies these last assertions, as well as that
    !> the residual in the above equation is small.
    !>

Parameters
    RMAX

    !>          RMAX is DOUBLE PRECISION
    !>          Value of the largest test ratio.
    !>

    LMAX

    !>          LMAX is INTEGER
    !>          Example number where largest test ratio achieved.
    !>

    NINFO

    !>          NINFO is INTEGER array, dimension (2)
    !>          NINFO(J) is the number of examples where INFO=J occurred.
    !>

    KNT

    !>          KNT is INTEGER
    !>          Total number of examples tested.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 81 of file dget34.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.